SpriteLibrary

Sprite Constructor (SpriteController, Image, Int32, Int32)

Generate a new sprite. It takes the image and the width and height. If there are multiple images of that width and height in the image, an animation is created.

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.5 (1.0.0.5)
Syntax
C#
Copy

    public Sprite(
    	SpriteController Controller,
    	Image SpriteImage,
    	int width,
    	int height
    )

#### Parameters

Controller
  Type: SpriteLibrary
  SpriteController
  The sprite controller that manages this sprite
SpriteImage
  Type: System.Drawing
  Image
  The image we pull the animation from
width
  Type: System
  Int32
  The width of one animation frame
height
  Type: System
  Int32
  The height of one animation frame

See Also

#### Reference

Sprite Class
Sprite Overload
SpriteLibrary Namespace